Botan 1.10.17

Namespaces | Macros
serpent.cpp File Reference
`#include <botan/serpent.h>`
`#include <botan/loadstor.h>`
`#include <botan/rotate.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | key_xor(round, B0, B1, B2, B3)

## Macro Definition Documentation

## ◆ key_xor

#define key_xor | ( |  | round,
|  |  | B0,
|  |  | B1,
|  |  | B2,
|  |  | B3
| ) |  |

Value:
B0 ^= round_key[4*round ]; \
B1 ^= round_key[4*round+1]; \
B2 ^= round_key[4*round+2]; \
B3 ^= round_key[4*round+3];

Definition at line 240 of file serpent.cpp.

Referenced by Botan::Serpent::decrypt_n(), and Botan::Serpent::encrypt_n().